/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements. See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache license, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the license for the specific language governing permissions and
 * limitations under the license.
 */
package org.apache.log4j;

import java.io.Writer;

/**
 * Console-appender.
 */
public class ConsoleAppender extends WriterAppender {

	public static final String SYSTEM_OUT = "System.out";
	public static final String SYSTEM_ERR = "System.err";

	/**
	 * This method was missing
	 * @param layout The layout to use
	 * @param target System.out or System.err
	 */
	public ConsoleAppender(Layout layout, String target) {
		this.layout = layout;
		Writer writer;

		if (SYSTEM_OUT.equals(target)) {
			writer = createWriter(System.out);
		} else {
			writer = createWriter(System.err);
		}
		this.setWriter(writer);
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public void close() {
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public boolean requiresLayout() {
		return false;
	}
}
